OpenVDB 3.2.0

Public Member Functions | List of all members
CoordBBox::Iterator< ZYX > Class Template Reference

Iterator over Coord domain covered by a CoordBBox. More...

`#include <Coord.h>`

## Public Member Functions
| Iterator (const CoordBBox &b)
| C-tor from a bounding box. More...
Iterator & | operator++ ()
| Increments iterator to point to the next coordinate. More...
| operator bool () const
| Return true if the iterator still points to a valid coordinate. More...
const Coord & | operator* () const
| Return a const reference to the coordinate currently pointed to. More...

## Detailed Description

### template<bool ZYX>
class openvdb::v3_2_0::math::CoordBBox::Iterator< ZYX >

Iterator over Coord domain covered by a CoordBBox.

Note
  If ZYX is true Z is the fastest moving coordinate, else it is the X coordinate, i.e. XYZ traversal

## Constructor & Destructor Documentation

## ◆ Iterator()

Iterator | ( | const CoordBBox & | b | ) |
| inline

C-tor from a bounding box.

## Member Function Documentation

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

Return true if the iterator still points to a valid coordinate.

## ◆ operator*()

const Coord& operator* | ( |  | ) | const
| inline

Return a const reference to the coordinate currently pointed to.

## ◆ operator++()

Iterator& operator++ | ( |  | ) |
| inline

Increments iterator to point to the next coordinate.

Note
  Stops a the last + 1 coordinate of the bounding box as defined by the template parameter.

The documentation for this class was generated from the following file:

- Coord.h